Skip to main content
GET
Get instance

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Path Parameters

project_id
integer
required

Project ID.

Example:

1

instance_id
string<uuid4>
required

Instance ID.

Example:

"6c6aa80f-4234-4678-9abc-def012345678"

Response

Instance

boot_volume_id
string<uuid4> | null
required

Boot volume ID, or null for an image-backed instance.

created_at
string<date-time>
required

Datetime when the instance was created.

data_volume_ids
string<uuid4>[]
required

Non-boot attached volume IDs.

flavor_name
string
required

Flavor name.

id
string<uuid4>
required

Instance ID.

interfaces
GlobalInstanceInterfaceSerializer · object[]
required

Attached network interfaces.

managed_by
GlobalInstanceManagedBySerializer · object | null
required

Service managing this instance, or null if customer-operated.

name
string
required

Instance name.

placement_group_id
string<uuid4> | null
required

Placement group this instance belongs to, or null.

region_id
integer
required

Region ID.

ssh_key_id
string<uuid4> | null
required

ID of the SSH key of the default user, or null.

status
enum<string>
required

Canonical lifecycle status.

Available options:
active,
deleted,
deleting,
error,
provisioning,
rebooting,
rebuilding,
resizing,
stopped,
unknown,
updating
system_tags
System Tags · object
required

Read-only key-value tags set by the platform.

tags
Tags · object
required

Customer-owned key-value tags.

updated_at
string<date-time>
required

Datetime when the instance was last updated.